package yatzy;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * The Yatzy game. Main functionality here.
 * Used for command line game (or on server)
 * or as base class publishing sub classes
 *
 * @author hajo
 */
public class Yatzy {

    // Used as the returnvalue for empty list
    private static final List<Integer> EMPTY = Collections.unmodifiableList(new ArrayList<Integer>());
   // private final DiceCup cup;
    private final List<Player> players;
    private final int maxRolls;
    private final int diceFaces; // Number of faces for dice
    
    private Player actualPlayer;
    private int nRolls; // Count how many rolls for player
    private int nScoresSet = 0;  // Used to end game 
    private boolean gameDone = false; // When to end

    public Yatzy(List<Player> players, int diceFaces, int maxRolls) {
        this.players = players;
        this.diceFaces = diceFaces;
        this.maxRolls = maxRolls;
      
    }

    public List<Integer> roll() {
        return null; // This is just so that we can compile
    }

    public boolean maxRolls() {
        return nRolls == maxRolls;
    }

    public List<Integer> getPossibilities() {
        return null;
    }

    public void disableDice(int i) {
        
    }

    public void enableDice(int i) {
       
    }

    public int getDiceFaces() {
        return diceFaces;
    }

    public Player getActualPlayer() {
        return actualPlayer;
    }

    public List<Player> getPlayers() {
        return players;
    }

    public boolean setScore(int rowIndex, int userInput) {
        return false;
    }

    public void start() {
       
    }

    public void next() {
     
    }

    public boolean isGameDone() {
        return gameDone;
    }
}
