package yatzy.io;

/**
 * Factory for YatzyReaders
 * @author hajo
 */
public class YatzyReaderFactory {
    
    private YatzyReaderFactory(){      
    }
    
    // Return anything that fulfills contract
    public static IYatzyReader getReader(){
        return new YatsyPlainFileReader();
    }
    
}
