package yatzy.test;

import java.util.Arrays;
import java.util.List;
import yatzy.Score;

/**
 * Test for the Score, see main method last To run: Right click in code > Run
 * File
 *
 * NOTE: Class has (should have) many private methods Have to temporarily change
 * this during tests (not very professional but easy for now)
 *
 * @author hajo
 */
public class TestScore {

    // NOTE: Some scores possible already set (BONUS, SUM, TOTAL)
    public static void testSetScore() {
        Score s = new Score();
        s.setScore(0, 999999);  // Easy to find in output
        s.setScore(6, 9999999);
        s.setScore(15, 999999);
        // Check in output
        System.out.println("Score -----------");
        System.out.println(s.values());
        System.out.println("-----------------");

    }

    // Check sum for 1-6 (to calculate bonus)
    public static void testGetSumOneToSix() {
        Score s = new Score();
        s.setScore(0, 1); // One = 1
        s.setScore(1, 2); // Two = 2
        s.setScore(2, 3); // ...
        s.setScore(3, 4);
        s.setScore(4, 5);
        s.setScore(5, 6);
        // Should be 21
        System.out.println(s.getSumOneToSix());
    }

 
    // Test assumes result is sorted
    public static void testGetPair() {
        List<Integer> l = Arrays.asList(1, 2, 4, 5, 6);
        System.out.println(Score.getPair(l)); // 0
        l = Arrays.asList(2, 2, 4, 5, 6);
        System.out.println(Score.getPair(l)); // 4
        l = Arrays.asList(1, 3, 4, 4, 5);
        System.out.println(Score.getPair(l)); // 8
        l = Arrays.asList(2, 2, 2, 6, 6);
        System.out.println(Score.getPair(l)); // 12
    }

    /*
     * Now you write more test below .....
     */
   

  

    public static void main(String[] args) {
        //testSetScore();
        //testGetSumOneToSix();
        //testGetPair();
 
    }
}